path: /build/build/aalib-media-libs-1.4+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - eval 'mkdir /etc/portage/patches/media-libs/aalib -p || true' && cp -vf patches/*
    /etc/portage/patches/media-libs/aalib/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-X -gpm -slang" emerge media-libs/aalib -pv -t && \
    USE="-X -gpm -slang" emerge -j ${JOBS} --nodeps media-libs/aalib
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/aalib && luet-portage --dir /pkgdir/aalib
    media-libs/aalib && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:00568ba0b66878c12dc834afc7a4a76c72667a308f7e320b4a3c7c5bca4291ee
  package:
    name: aalib
    version: 1.4+2
    category: media-libs
    use_flags:
    - -X
    - -gpm
    - -slang
    requires:
    - name: speexdsp
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A ASCII-Graphics Library
    uri:
    - http://aa-project.sourceforge.net/aalib/
    license: GPL-2
    buildtimestamp: 2024-10-21 12:45:01.444623374 +0000 UTC m=+186.508944481
    labels:
      DEPEND: X? ( >=x11-libs/libX11-1.6.2[-mgorny(-)] ) gpm? ( >=sys-libs/gpm-1.20.7-r2[-mgorny(-)]
        ) slang? ( >=sys-libs/slang-2.2.4-r1[-mgorny(-)] ) >=sys-libs/ncurses-5.9-r3:0=[-mgorny(-)]
        virtual/pkgconfig X? ( x11-base/xorg-proto ) >=app-portage/elt-patches-20170815
      IUSE: X slang gpm static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: X? ( >=x11-libs/libX11-1.6.2[-mgorny(-)] ) gpm? ( >=sys-libs/gpm-1.20.7-r2[-mgorny(-)]
        ) slang? ( >=sys-libs/slang-2.2.4-r1[-mgorny(-)] ) >=sys-libs/ncurses-5.9-r3:0=[-mgorny(-)]
      emerge.packages: media-libs/aalib
      kit: media-kit
      original.package.name: media-libs/aalib
      original.package.slot: "0"
      original.package.version: 1.4_rc5-r8
    treedir: /build/packages
  package_dir: /pkgdir/aalib
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 63fe97fdbe291dc3c02b69912a2c8299dc7c872c22c27b0fb43f3a302eb5fabf
compressiontype: zstd
files:
- usr/bin/aafire
- usr/bin/aainfo
- usr/bin/aalib-config
- usr/bin/aasavefont
- usr/bin/aatest
- usr/include/aalib.h
- usr/lib64/libaa.so
- usr/lib64/libaa.so.1
- usr/lib64/libaa.so.1.0.4
- usr/share/aclocal/aalib.m4
- usr/share/doc/aalib-1.4_rc5-r8/ANNOUNCE.bz2
- usr/share/doc/aalib-1.4_rc5-r8/AUTHORS.bz2
- usr/share/doc/aalib-1.4_rc5-r8/ChangeLog.bz2
- usr/share/doc/aalib-1.4_rc5-r8/NEWS.bz2
- usr/share/doc/aalib-1.4_rc5-r8/README.OS2.bz2
- usr/share/doc/aalib-1.4_rc5-r8/README.bz2
- usr/share/info/aalib.info-1.bz2
- usr/share/info/aalib.info-2.bz2
- usr/share/info/aalib.info-3.bz2
- usr/share/info/aalib.info.bz2
- usr/share/man/man1/aafire.1.bz2
- usr/share/man/man3/aa_attrs.3.bz2
- usr/share/man/man3/aa_autoinit.3.bz2
- usr/share/man/man3/aa_autoinitkbd.3.bz2
- usr/share/man/man3/aa_autoinitmouse.3.bz2
- usr/share/man/man3/aa_close.3.bz2
- usr/share/man/man3/aa_createedit.3.bz2
- usr/share/man/man3/aa_currentfont.3.bz2
- usr/share/man/man3/aa_defparams.3.bz2
- usr/share/man/man3/aa_defrenderparams.3.bz2
- usr/share/man/man3/aa_displayrecommended.3.bz2
- usr/share/man/man3/aa_dithernames.3.bz2
- usr/share/man/man3/aa_drivers.3.bz2
- usr/share/man/man3/aa_edit.3.bz2
- usr/share/man/man3/aa_editkey.3.bz2
- usr/share/man/man3/aa_fastrender.3.bz2
- usr/share/man/man3/aa_fonts.3.bz2
- usr/share/man/man3/aa_formats.3.bz2
- usr/share/man/man3/aa_getevent.3.bz2
- usr/share/man/man3/aa_getkey.3.bz2
- usr/share/man/man3/aa_getmouse.3.bz2
- usr/share/man/man3/aa_gotoxy.3.bz2
- usr/share/man/man3/aa_help.3.bz2
- usr/share/man/man3/aa_hidecursor.3.bz2
- usr/share/man/man3/aa_hidemouse.3.bz2
- usr/share/man/man3/aa_image.3.bz2
- usr/share/man/man3/aa_imgheight.3.bz2
- usr/share/man/man3/aa_imgwidth.3.bz2
- usr/share/man/man3/aa_init.3.bz2
- usr/share/man/man3/aa_initkbd.3.bz2
- usr/share/man/man3/aa_initmouse.3.bz2
- usr/share/man/man3/aa_kbddrivers.3.bz2
- usr/share/man/man3/aa_kbdrecommended.3.bz2
- usr/share/man/man3/aa_mmheight.3.bz2
- usr/share/man/man3/aa_mmwidth.3.bz2
- usr/share/man/man3/aa_mousedrivers.3.bz2
- usr/share/man/man3/aa_mouserecommended.3.bz2
- usr/share/man/man3/aa_parseoptions.3.bz2
- usr/share/man/man3/aa_printf.3.bz2
- usr/share/man/man3/aa_putpixel.3.bz2
- usr/share/man/man3/aa_puts.3.bz2
- usr/share/man/man3/aa_recommendhi.3.bz2
- usr/share/man/man3/aa_recommendhidisplay.3.bz2
- usr/share/man/man3/aa_recommendhikbd.3.bz2
- usr/share/man/man3/aa_recommendhimouse.3.bz2
- usr/share/man/man3/aa_recommendlow.3.bz2
- usr/share/man/man3/aa_recommendlowdisplay.3.bz2
- usr/share/man/man3/aa_recommendlowkbd.3.bz2
- usr/share/man/man3/aa_recommendlowmouse.3.bz2
- usr/share/man/man3/aa_registerfont.3.bz2
- usr/share/man/man3/aa_render.3.bz2
- usr/share/man/man3/aa_resize.3.bz2
- usr/share/man/man3/aa_resizehandler.3.bz2
- usr/share/man/man3/aa_scrheight.3.bz2
- usr/share/man/man3/aa_scrwidth.3.bz2
- usr/share/man/man3/aa_setfont.3.bz2
- usr/share/man/man3/aa_setsupported.3.bz2
- usr/share/man/man3/aa_showcursor.3.bz2
- usr/share/man/man3/aa_showmouse.3.bz2
- usr/share/man/man3/aa_text.3.bz2
- usr/share/man/man3/aa_uninitkbd.3.bz2
- usr/share/man/man3/aa_uninitmouse.3.bz2
- usr/share/man/man3/mem_d.3.bz2
- usr/share/man/man3/save_d.3.bz2
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/BUILD_TIME
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CATEGORY
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CBUILD
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CFLAGS
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CHOST
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CONTENTS
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/COUNTER
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CTARGET
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CXX
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/CXXFLAGS
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/DEFINED_PHASES
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/DEPEND
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/DESCRIPTION
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/EAPI
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/FEATURES
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/HOMEPAGE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/INHERITED
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/IUSE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/IUSE_EFFECTIVE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/KEYWORDS
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/LDFLAGS
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/LICENSE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/NEEDED
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/NEEDED.ELF.2
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/PF
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/PROVIDES
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/RDEPEND
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/REQUIRES
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/SIZE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/SLOT
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/USE
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/aalib-1.4_rc5-r8.ebuild
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/environment.bz2
- var/db/pkg/media-libs/aalib-1.4_rc5-r8/repository
package_cacheimage: ""
runtime:
  name: aalib
  version: 1.4+2
  category: media-libs
  use_flags:
  - -X
  - -gpm
  - -slang
  requires:
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A ASCII-Graphics Library
  uri:
  - http://aa-project.sourceforge.net/aalib/
  license: GPL-2
  labels:
    DEPEND: X? ( >=x11-libs/libX11-1.6.2[-mgorny(-)] ) gpm? ( >=sys-libs/gpm-1.20.7-r2[-mgorny(-)]
      ) slang? ( >=sys-libs/slang-2.2.4-r1[-mgorny(-)] ) >=sys-libs/ncurses-5.9-r3:0=[-mgorny(-)]
      virtual/pkgconfig X? ( x11-base/xorg-proto ) >=app-portage/elt-patches-20170815
    IUSE: X slang gpm static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: X? ( >=x11-libs/libX11-1.6.2[-mgorny(-)] ) gpm? ( >=sys-libs/gpm-1.20.7-r2[-mgorny(-)]
      ) slang? ( >=sys-libs/slang-2.2.4-r1[-mgorny(-)] ) >=sys-libs/ncurses-5.9-r3:0=[-mgorny(-)]
    emerge.packages: media-libs/aalib
    kit: media-kit
    original.package.name: media-libs/aalib
    original.package.slot: "0"
    original.package.version: 1.4_rc5-r8
